latesthash: Get latest block hash

API: blockchain.info:blockchain-api
Endpoint: /q/latesthash
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 186ms

Description

Returns the hash of the latest block

Examples (1)

Get latest block hash probe-gate
curl 'https://blockchain.info/q/latesthash'
import requests

resp = requests.get("https://blockchain.info/q/latesthash")
data = resp.json()
import zingu_apis

api = zingu_apis.api("blockchain")
result = api.fetch("q/latesthash")

for item in result:
    print(item)
const resp = await fetch("https://blockchain.info/q/latesthash");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:57:35.111775 200 186ms
2026-04-16 00:03:15.009041 200 208ms
2026-04-15 02:03:38.124093 200 196ms
2026-04-14 03:46:39.130164 200 250ms
2026-04-12 14:43:26.514337 200 272ms
2026-04-10 01:53:12.814718 200 608ms
2026-04-09 00:02:35.549997 200 187ms
2026-03-22T10:52:23.357061 200 147ms